#!/bin/bash
#
# Frequently-used `sacct` commands with various presets.
#
# Created: 20190719
#
#
# Preset 1: frequently sought information, such as job ID, username,
# num of cores, various time quantities.
# - The timing field width accommodates up to hundreds of days.
# - The accounting records corresponding to job steps are eliminated.

FIELDS_PRESET1=JobID,JobIDRaw,JobName%-20,User,Partition,Elapsed%12,NCPUS%5,CPUTime%12,TotalCPU%12,Submit,Start,End,State,NodeList%20

filter_sacct_only_main_jobs () {
    awk '($2 ~ /^[0-9]+$/) || (FNR <= 2) { print }'
}

sacct -o $FIELDS_PRESET1 "$@" \
   | filter_sacct_only_main_jobs



