#!/bin/bash

# Root directory for the entire newchem-specific software stack:
NW_ROOTDIR=/shared/apps/manual/nwchem/7.0.0/gcc7.3-openmpi3.1.4

#source /etc/container_runtime/buildtime
module load openmpi/3.1.4

export CC=mpicc
export CXX=mpicxx
export FC=mpifort

export MPICC=mpicc
export MPICXX=mpicxx
export MPIFC=mpifort

ARMCI_MPI_ROOT=$NW_ROOTDIR/armci-mpi

echo PATH=$PATH

[ -d $ARMCI_MPI_ROOT ] || git clone https://github.com/pmodels/armci-mpi $ARMCI_MPI_ROOT

cd $ARMCI_MPI_ROOT
autoreconf -i

./configure CC=mpicc --enable-g --prefix=$ARMCI_MPI_ROOT
make
make check
make install
