-- -*- lua -*-

whatis([[Name : NWChem]])
whatis([[Version : 7.0.0-ib]])
whatis([[Short description : NWChem (OPENIB, non-containerized)]])


help([[
NWChem computational chemistry software suite.
Built with ARMCI_NETWORK=OPENIB, gcc, OpenMPI 3.1.4.
This version is NOT containerized.
]])

prereq("openmpi")

local nwchem_root = "/shared/apps/manual/nwchem/7.0.0"
local nwchem_data_root = nwchem_root .. "/data"
local nwchem_bin_root = nwchem_root .. "/gcc7.3-openmpi3.1.4/LINUX64.OPENIB.internalblas"

setenv("NWCHEM_ROOT", nwchem_bin_root)
setenv("NWCHEM_DATA_ROOT", nwchem_data_root)
prepend_path("PATH", nwchem_bin_root .. "/bin", ":")
-- prepend_path("LD_LIBRARY_PATH", "/cm/shared/apps/gaussian/g09revB.01/g09/amd64/gv/lib/", ":")
-- prepend_path("LD_LIBRARY_PATH", "/cm/shared/apps/gaussian/g09revB.01/g09/amd64/gv/lib/MesaGL", ":")

-- WARNING: Training slashes below are NOT optional!
setenv("NWCHEM_BASIS_LIBRARY", nwchem_data_root .. "/libraries/")
setenv("NWCHEM_QMESH_DATA", nwchem_data_root .. "/nwpw/xc/vdw-DF/vdw_qmesh.dat")
setenv("NWCHEM_NWPW_LIBRARY", nwchem_data_root .. "/libraryps/")



